Bug 250508 - databases/mysqlwsrep57-server: Update to 5.7.31-25.23
Summary: databases/mysqlwsrep57-server: Update to 5.7.31-25.23
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL: http://releases.galeracluster.com/mys...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-21 13:24 UTC by devel
Modified: 2020-11-08 09:42 UTC (History)
1 user (show)

See Also:


Attachments
Update to 5.7.31-25.23. (1.36 KB, patch)
2020-10-21 13:24 UTC, devel
devel: maintainer-approval+
Details | Diff
Update to 5.7.31-25.23 (10.43 KB, patch)
2020-11-04 20:21 UTC, devel
devel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description devel 2020-10-21 13:24:30 UTC
Created attachment 218947 [details]
Update to 5.7.31-25.23.
Comment 1 devel 2020-10-21 13:25:00 UTC
The patch passes portlint, poudriere testport for 11.4-RELEASE, 12.1-RELEASE.
Comment 3 devel 2020-11-04 20:21:22 UTC
Created attachment 219362 [details]
Update to 5.7.31-25.23

Updated the patch.

LLVM 11 changed the default flags from -fcommon to -fno-common, which made innodb_memcached plugin fail at link time. Added -fcommon to CFLAGS for 13.0-CURRENT.

Fixed implicit conversions from NULL to boolean which LLVM 11 does not seem to accept anymore:
- rapid/plugin/group_replication/src/recovery_state_transfer.cc
- storage/innobase/fsp/fsp0fsp.cc
- sql/binlog.cc
Comment 4 commit-hook freebsd_committer 2020-11-08 09:41:49 UTC
A commit references this bug:

Author: joneum
Date: Sun Nov  8 09:41:27 UTC 2020
New revision: 554442
URL: https://svnweb.freebsd.org/changeset/ports/554442

Log:
  Update to 5.7.31-25.23

  Changelog: http://releases.galeracluster.com/mysql-wsrep-5.7.31-25.23/release-notes-mysql-wsrep-5.7.31-25.23.txt

  PR:		250508
  Submitted by:	maintainer
  Sponsored by:	Netzkommune GmbH

Changes:
  head/databases/mysqlwsrep57-server/Makefile
  head/databases/mysqlwsrep57-server/distinfo
  head/databases/mysqlwsrep57-server/files/patch-CMakeLists.txt
  head/databases/mysqlwsrep57-server/files/patch-cmake_os_FreeBSD.cmake
  head/databases/mysqlwsrep57-server/files/patch-rapid_plugin_group__replication_src_recovery__state__transfer.cc(working
  head/databases/mysqlwsrep57-server/files/patch-scripts_CMakeLists.txt
  head/databases/mysqlwsrep57-server/files/patch-sql_binlog.cc
  head/databases/mysqlwsrep57-server/files/patch-sql_sys__vars.cc
  head/databases/mysqlwsrep57-server/files/patch-storage_innobase_fsp_fsp0fsp.cc